[android-components](../../index.md) / [mozilla.components.browser.engine.gecko](../index.md) / [GeckoEngine](index.md) / [name](./name.md)

# name

`fun name(): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/engine-gecko-beta/src/main/java/mozilla/components/browser/engine/gecko/GeckoEngine.kt#L96)

Overrides [Engine.name](../../mozilla.components.concept.engine/-engine/name.md)

Returns the name of this engine. The returned string might be used
in filenames and must therefore only contain valid filename
characters.

**Return**
the engine name as specified by concrete implementations.

